Bug 488348 - ActivationKey creation displays base channels twice
ActivationKey creation displays base channels twice
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
John Matthews
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-03-03 15:25 EST by John Matthews
Modified: 2009-09-10 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-03-03 15:25:16 EST
Description of problem:
Create a new activationkey, select a basechannel.
Notice how each basechannel is listed twice.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090227.1-i386-embedded-oracle.iso

How reproducible:
Always

Steps to Reproduce:
1. Create new activation key
2. Assign a base-channel and notice drop down for "Base Channel" lists each channel twice
  
Actual results:
Each base channel is listed twice

Expected results:
Drop down choices should contain base channel only once.

Additional info:
Comment 1 Jay Dobies 2009-03-06 11:41:25 EST
Commit: 4116cdd3be5f4367826a6d7e1ff8ebd32b046223

Channel.hbm.xml
The issue was in the way we retrieve custom base channels; it was returning Red Hat channels as well.

Changed the findCustomBaseChannels query to use the org_id from the rhnChannel table.
Comment 2 John Matthews 2009-03-24 17:09:57 EDT
ISO: Satellite-5.3.0-RHEL5-re20090323.0-i386-embedded-oracle.iso
Verified
Comment 3 Milan Zazrivec 2009-08-27 09:09:32 EDT
Verified in stage -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 16:33:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.